# vSphere Integrated Containers Documentation

The vSphere Integrated Containers Documentation provides information about how to install, configure, and use VMware vSphere&reg; Integrated Containers&trade;.

**Product version: 1.5**

This documentation applies to all 1.5.x releases.

## Intended Audiences

This information is intended for the following audiences:

|**Audience**|**Description of Role**|**Relevant Documentation**|
|---|---|---|
|All Users|Understand container technology and vSphere Integrated Containers.|[Overview of vSphere Integrated Containers](vic_overview/README.md)|
|vSphere administrators|Install vSphere Integrated Containers. Deploy  and maintain the vSphere Integrated Containers infrastructure in the vSphere environment.|[vSphere Integrated Containers for vSphere Administrators](vic_vsphere_admin/README.md)|
|Management Portal administrators|Use vSphere Integrated Containers Management Portal to manage container images, create development projects, and manage the lifecycle of virtual container hosts. |[vSphere Integrated Containers Management Portal Administration](vic_cloud_admin/README.md)|
|DevOps administrators, developers, viewers|Use vSphere Integrated Containers Management Portal to manage container development projects and provision and manage containers.|[Using vSphere Integrated Containers as a DevOps Administrator, Developer, or Viewer](vic_users/README.md)|
|Container application developers|Use vSphere Integrated Containers as the endpoint for container application development.|[Developing Applications with vSphere Integrated Containers](vic_app_dev/README.md)|
 

----------

Copyright &copy; 2016-2019 VMware, Inc. All rights reserved. [Copyright and trademark information](http://pubs.vmware.com/copyright-trademark.html). Any feedback you provide to VMware is subject to the terms at [www.vmware.com/community_terms.html](http://www.vmware.com/community_terms.html).

**VMware, Inc.**<br>
3401 Hillview Ave.<br>
Palo Alto, CA 94304

[www.vmware.com](http://www.vmware.com)
