# Summary

## vSphere Integrated Containers 1.5

----

* [Introduction](README.md)
  * [Quick Start Links](vic_quickstart.md)

----

* [Overview](vic_overview/README.md)
  * [Containers, Docker, Registries](vic_overview/intro_to_containers.md)
  * [vSphere Integrated Containers](vic_overview/intro_to_vic.md)
     * [Engine](vic_overview/intro_to_vic_engine.md)
     * [Management Portal](vic_overview/intro_to_vic_mp.md)
     * [Registry](vic_overview/intro_to_vic_registry.md)
     * [Roles and Personas](vic_overview/roles_and_personas.md)
     * [Deployment Topologies](vic_overview/vic_deployment_topos.md)

----

* [vSphere Administrator](vic_vsphere_admin/README.md)
 * [Deployment Prerequisites](vic_vsphere_admin/vic_installation_prereqs.md)
     * [Virtual Infrastructure Requirements](vic_vsphere_admin/vi_reqs.md)
     * [Networking Requirements](vic_vsphere_admin/network_reqs.md)
     * [Certificate Requirements](vic_vsphere_admin/vic_cert_use.md)
         * [Appliance Certificate Requirements](vic_vsphere_admin/appliance_cert_reqs.md) 
         * [VCH Certificate Requirements](vic_vsphere_admin/vch_cert_reqs.md)
         * [Obtain vSphere Thumbprints](vic_vsphere_admin/obtain_thumbprint.md)
     * [Interoperability](vic_vsphere_admin/interop.md)
 * [Installation](vic_vsphere_admin/installing_vic.md)
     * [Download Installer](vic_vsphere_admin/download_vic.md) 
     * [Deploy the Appliance](vic_vsphere_admin/deploy_vic_appliance.md)
         * [Deploy the Appliance Using VMware OVF Tool](vic_vsphere_admin/deploy_vic_appliance_ovftool.md)
         * [Appliance Registration API](vic_vsphere_admin/ova_reg_api.md) 
     * [Download Engine Bundle](vic_vsphere_admin/vic_engine_bundle.md)
  * [VCH Deployment](vic_vsphere_admin/deploy_vch.md)
     * [Using vic-machine](vic_vsphere_admin/using_vicmachine.md)
         * [Set Environment Variables](vic_vsphere_admin/vic_env_variables.md)
     * [Open the Required Ports on ESXi Hosts](vic_vsphere_admin/open_ports_on_hosts.md) 
     * [Create the Operations User](vic_vsphere_admin/create_ops_user.md)
         * [Manually Create Operations User](vic_vsphere_admin/ops_user_manual.md)
     * [Deploy VCHs in vSphere Client](vic_vsphere_admin/deploy_vch_client.md)
     * [VCH Deployment Options](vic_vsphere_admin/vch_deployment_options.md)
         * [General Settings](vic_vsphere_admin/vch_general_settings.md)
         * [Compute Capacity](vic_vsphere_admin/vch_compute.md)
         * [Storage Capacity](vic_vsphere_admin/vch_storage.md)
             * [Image Datastore](vic_vsphere_admin/image_store.md)
             * [Volume Datastores](vic_vsphere_admin/volume_stores.md)
         * [Networks](vic_vsphere_admin/vch_networking.md)
             * [Bridge Networks](vic_vsphere_admin/bridge_network.md)
             * [Public Network](vic_vsphere_admin/public_network.md)
             * [Client Network](vic_vsphere_admin/client_network.md)
             * [Management Network](vic_vsphere_admin/mgmt_network.md)
             * [Proxy Servers](vic_vsphere_admin/vch_proxy.md)
             * [Container Networks](vic_vsphere_admin/container_networks.md)
         * [Security](vic_vsphere_admin/vch_security.md)
             * [VCH Certificate Options](vic_vsphere_admin/vch_cert_options.md)
             * [Disable Client Verification](vic_vsphere_admin/tls_unrestricted.md)
         * [Registry Access](vic_vsphere_admin/vch_registry.md) 
         * [Operations User](vic_vsphere_admin/set_up_ops_user.md)
         * [Finish VCH Deployment](vic_vsphere_admin/complete_vch_deployment_client.md)
     * [Deploy a Test VCH](vic_vsphere_admin/deploy_test_vch.md)
         * [ESXi Host with No vCenter Server](vic_vsphere_admin/deploy_vch_esxi.md)
         * [VCH with Volume Store and Registry](vic_vsphere_admin/deploy_vch_dchphoton.md)
     * [VCH Boot Options](vic_vsphere_admin/vch_boot_options.md)
     * [VCH Sizing Guidelines](vic_vsphere_admin/vch_sizing_guidelines.md)
  * [VCH Administration](vic_vsphere_admin/vch_admin.md)
     * [VCH Admin in the vSphere Client](vic_vsphere_admin/vch_admin_client.md)
         * [View VIC Information](vic_vsphere_admin/access_h5_ui.md)
         * [View VCH and Container Information](vic_vsphere_admin/vch_portlet_ui.md)
     * [VCH Admin with vic-machine](vic_vsphere_admin/vch_admin_vicmachine.md)
         * [Obtain Version Information](vic_vsphere_admin/vic_machine_version.md)
         * [Common Options](vic_vsphere_admin/common_vic_options.md)
         * [List VCHs](vic_vsphere_admin/list_vch.md)
         * [Obtain General VCH Information](vic_vsphere_admin/inspect_vch.md)
         * [Obtain VCH Configuration Information](vic_vsphere_admin/inspect_vch_config.md)
         * [Configure Running VCHs](vic_vsphere_admin/configure_vch.md)
         * [Debug Running VCHs](vic_vsphere_admin/debug_vch.md)
             * [Enable Shell Access](vic_vsphere_admin/vch_shell_access.md)
             * [Authorize SSH Access](vic_vsphere_admin/vch_ssh_access.md) 
     * [Delete VCHs](vic_vsphere_admin/remove_vch.md)
     * [VCH Admin Portal](vic_vsphere_admin/access_vicadmin.md)
         * [Browser-Based Certificate Login](vic_vsphere_admin/browser_login.md)
         * [Command Line Certificate Login](vic_vsphere_admin/cmdline_login.md)
         * [VCH Admin Status Reference](vic_vsphere_admin/vicadmin_status_ref.md)
  * [Upgrading](vic_vsphere_admin/upgrading_vic.md)
     * [Pre-Upgrade Tasks](vic_vsphere_admin/pre_upgrade_tasks.md)
     * [Upgrade the Appliance](vic_vsphere_admin/upgrade_appliance.md)
         * [Copy Disks Manually](vic_vsphere_admin/upgrade_appliance_manual.md)
     * [Upgrade VCHs](vic_vsphere_admin/upgrade_vch.md)
         * [VCH Upgrade Options](vic_vsphere_admin/upgrade_vch_options.md)
  * [Backup and Restore](vic_vsphere_admin/backup_vic.md)
     * [Appliance](vic_vsphere_admin/backup_vic_appliance.md)
     * [VCHs](vic_vsphere_admin/backup_vch.md)
     * [Container Volumes](vic_vsphere_admin/backup_volumes.md)
         * [Backing Up VMDK Volumes](vic_vsphere_admin/backup_vmdk.md)
         * [Restoring VMDK Volumes](vic_vsphere_admin/restore_vmdk.md)
  * [Manage the Appliance](vic_vsphere_admin/manage_appliance.md)
     * [Reconfigure the Appliance](vic_vsphere_admin/reconfigure_appliance.md)
     * [Obtain Appliance Certificates](vic_vsphere_admin/obtain_appliance_certs.md)
     * [Change Appliance TLS Certificates](vic_vsphere_admin/change_appliance_TLS_certs.md) 
     * [Reinitialize the Appliance](vic_vsphere_admin/reinitialize_appliance.md)
         * [Re-Tag the Appliance](vic_vsphere_admin/retag_appliance.md)
     * [Update PSC Registration](vic_vsphere_admin/manual_register_psc.md)
     * [Check Service Status](vic_vsphere_admin/service_status.md)
     * [Restart Services](vic_vsphere_admin/restart_services.md)
     * [Recover Appliance Password](vic_vsphere_admin/ts_recover_password.md) 
     * [Uninstall](vic_vsphere_admin/uninstall_vic.md)
  * [Troubleshooting](vic_vsphere_admin/troubleshoot_vic.md) 
     * [Access Logs](vic_vsphere_admin/access_logs.md)
         * [Access and Configure Appliance Logs](vic_vsphere_admin/appliance_logs.md)
         * [Access VCH Logs](vic_vsphere_admin/log_bundles.md)
     * [Appliance Deployment](vic_vsphere_admin/ts_deploy_appliance.md)
         * [Appliance Boot Errors](vic_vsphere_admin/ts_appliance_boot_errors.md)
         * [Appliance OVF Error](vic_vsphere_admin/ts_ovf_error.md)
         * [Registry Services Do Not Start](vic_vsphere_admin/ts_reg_doesnt_start.md)
         * [Appliance VM Password Refused](vic_vsphere_admin/ts_appliance_password_refused.md)
         * [Browser Rejects Certificates](vic_vsphere_admin/ts_cert_error.md)
         * [Registration with PSC Fails](vic_vsphere_admin/ts_psc_registration_error.md)
         * [Appliance Initialization Errors](vic_vsphere_admin/ts_appliance_initialization_errors.md)
         * [Access to Management Portal Fails](vic_vsphere_admin/ts_admiral_access_error.md)
         * [Appliance Running Errors](vic_vsphere_admin/ts_appliance_running_errors.md)
         * [Appliance Welcome Page Error](vic_vsphere_admin/vicappliance_welcomepage_error.md)
     * [Plug-In Does Not Appear](vic_vsphere_admin/ts_ui_not_appearing.md)
     * [VCH Deployment](vic_vsphere_admin/ts_deploy_vch.md)
         * [Firewall Validation Error](vic_vsphere_admin/ts_firewall_error.md)
         * [VCH Deployment Times Out](vic_vsphere_admin/ts_vch_deployment_timeout.md)
         * [Certificate Verification Error](vic_vsphere_admin/ts_thumbprint_error.md)
         * [Missing Common Name Error Even When TLS Options Are Specified Correctly](vic_vsphere_admin/ts_cli_argument_error.md)
         * [Certificate cname Mismatch](vic_vsphere_admin/ts_cname_mismatch.md)
         * [Docker API Endpoint Check Failed Error](vic_vsphere_admin/ts_docker_api_check_error.md)
         * [No Single Host Can Access All Datastores](vic_vsphere_admin/ts_datastore_access_error.md)
         * [VCH Does Not Initialize Correctly](vic_vsphere_admin/ts_vch_incorrect_initialization.md)
     * [Post-Deployment Operation](vic_vsphere_admin/ts_post_deployment_op.md)
         * [Certificate and PSC Token Errors](vic_vsphere_admin/ts_clock_skew.md)
         * [Some Users Cannot Access Services](vic_vsphere_admin/ts_no_access_to_vic_services.md)
         * [Default Volume Store Error](vic_vsphere_admin/ts_volume_store_error.md)
         * [Deleting or Inspecting a VCH Fails](vic_vsphere_admin/ts_delete_inspect_error.md)
         * [Docker Login Fails](vic_vsphere_admin/ts_dockerlogin_error.md)
         * [Image Store Error](vic_vsphere_admin/ts_imagestore_error.md)
         * [Deployment of Container that supports DHCP Network Fails](vic_vsphere_admin/ts_dhcpip_error.md)
     * [Install Packages in VCHs](vic_vsphere_admin/vch_install_packages.md)
         * [Mount an NFS Share Point](vic_vsphere_admin/vch_mount_nfsshare.md)
     * [Troubleshoot Upgrade Operation](vic_vsphere_admin/ts_upgrade_op.md)
         * [Certificates Not Copied](vic_vsphere_admin/ts_upgrade_customcerts.md)
         * [Container VMs Orphaned](vic_vsphere_admin/ts_orphaned_cvms.md)
  * [Security Reference](vic_vsphere_admin/security_reference.md)
  * [`vic-machine` Options Reference](vic_vsphere_admin/vicmachine_options_ref.md)

----

* [Management Portal Administrator](vic_cloud_admin/README.md) 
  * [Logging In to Management Portal](vic_cloud_admin/logging_in_mp.md)
      * [Verify and Trust Certificate](vic_cloud_admin/trust_vic_certs.md)
 * [Initial Configuration](vic_cloud_admin/mp_initial_config.md)
     * [Configure System Settings](vic_cloud_admin/configure_system.md)
     * [Add Management Portal Administrators](vic_cloud_admin/add_cloud_admins.md)
 * [Working with Projects](vic_cloud_admin/working_with_projects.md)
     * [Create a Project](vic_cloud_admin/create_projects.md)
     * [Assign Users to a Project](vic_cloud_admin/add_users.md)
     * [Assign Projects to a User](vic_cloud_admin/assign_project_to_user.md)
     * [Add Hosts to a Project](vic_cloud_admin/vchs_and_mgmt_portal.md)
         * [Full TLS Authentication](vic_cloud_admin/add_vch_fullTLS_in_portal.md)
         * [Server-Side Authentication](vic_cloud_admin/add_vch_serversideTLS_in_portal.md)
         * [No Authentication](vic_cloud_admin/add_vch_noTLS_in_portal.md)
     * [Enable Content Trust](vic_cloud_admin/content_trust.md)
     * [Edit Project Settings](vic_cloud_admin/manage_projects.md)
     * [Manage Internal Repositories](vic_cloud_admin/manage_repository_registry.md)
     * [Access Project Logs](vic_cloud_admin/access_project_logs.md)
 * [Working with Registries](vic_cloud_admin/working_with_registries.md)
    * [Add Global Registries](vic_cloud_admin/add_repos_in_portal.md)
    * [Add Project Specific Registries](vic_cloud_admin/add_project_registry.md)
    * [Replicating Images](vic_cloud_admin/replicating_images.md)
       * [Create Replication Endpoints](vic_cloud_admin/create_replication_endpoints.md)
       * [Create Replication Rules](vic_cloud_admin/create_replication_rules.md)
       * [Manage Replication Endpoints](vic_cloud_admin/manage_replication_endpoints.md)
 * [Vulnerability Scanning](vic_cloud_admin/vulnerability_scanning.md)
     * [Scan All Images](vic_cloud_admin/configure_scheduled_vulnerability.md)
     * [Scan at Project Level](vic_cloud_admin/configure_vulnerability_scanning_per_project.md)
     * [Scan Single Image](vic_cloud_admin/perform_vulnerability_scan_single_image.md)

----

* [Running Development Projects](vic_users/README.md)
  * [DevOps Administrator and Developer Tasks](vic_app_dev/run_dev_project.md)
  * [Working with Projects](vic_users/working_with_projects_vicui.md) 
  * [Adding a Container Host](vic_users/add_container_host.md)
  * [Creating New Networks](vic_users/create_network.md)
  * [Creating New Volumes](vic_users/create_volumes.md)
  * [Provisioning Container VMs](vic_users/provision_containers_portal.md)
    - [Container Provisioning Options Reference](vic_users/container_provisioning_options_reference.md)
    - [Example of Provisioning an Individual Container](vic_users/example_container.md)
  * [Creating Templates and Applications](vic_users/creating_applications_and_templates.md)
    * [Creating Templates](vic_users/creating_templates.md)
    * [Creating Applications](vic_users/creating_applications.md)
    * [Template Configuration Tasks](vic_users/template_tasks.md)
    * [Example of Creating an Application from a Template](vic_users/example_application.md)
  - [Viewing Library and Logs](vic_users/view_library_and_logs.md)
    - [Built-in Repositories](vic_users/built-in_repositories.md)
    - [Repositories](vic_users/repositories.md)
    - [Recent Activity](vic_users/recent_activity.md)

----  

* [Application Development](vic_app_dev/README.md)
  * [Supported Docker Commands](vic_app_dev/container_operations.md)
     * [Supported Docker Compose File Options](vic_app_dev/docker_compose_file_options.md)
     * [Supported Dockerfile Instructions](vic_app_dev/dockerfile_support.md) 
  * [Obtain a VCH](vic_app_dev/obtain_vch.md)
  * [Configure the Docker Client](vic_app_dev/configure_docker_client.md)
  * [Use and Limitations](vic_app_dev/container_limitations.md)
  * [Building and Pushing Images](vic_app_dev/build_push_images.md)
      * [Deploy a Test `dch-photon`](vic_app_dev/deploy_test_dch.md)
          * [Add Certificate to Custom Image](vic_app_dev/photon_cert_custom.md)
          * [Manually Add Certificate](vic_app_dev/photon_cert_manual.md) 
          * [Build, Push, and Pull and Image](vic_app_dev/test_photon.md)
      * [Advanced Use of `dch-photon`](vic_app_dev/dch_advanced.md)
          * [Advanced Options](vic_app_dev/dchphoton_options.md)
          * [Expand the Root Disk](vic_app_dev/dch_expand_disk.md)
          * [Use Proxy Servers](vic_app_dev/dch_photon_proxy.md)
          * [Add a Custom Registry CA](vic_app_dev/add_custom_ca.md)
  * [Using Volumes](vic_app_dev/using_volumes_with_vic.md) 
  * [Container Networking](vic_app_dev/network_use_cases.md)
  * [Creating a Containerized App](vic_app_dev/creating_containerized_app_with_vic.md)
     * [Putting Apps into Production](vic_app_dev/putting_apps_into_production.md)
     * [Deploy a Single Container VM](vic_app_dev/deploy_single_containervm.md)
     * [Deploy Container VMs with Compose](vic_app_dev/deploy_multiple_docker_compose.md)

----

* [Send Doc Feedback](vic_vsphere_admin/feedback.md)
* [Download PDF](pdf.md)